### Method

# GLib Sequence foreach

since: 2.14

#### Declaration

    void
    g_sequence_foreach (
      GSequence* seq,
      GFunc func,
      gpointer user_data
    )

#### Description

Calls `func` for each item in the sequence passing `user_data` to the function. `func` must not modify the sequence itself.

Available since: 2.14

#### Parameters

`func`

  Type: `GFunc`

  The function to call for each item in `seq`.

`user_data`

  Type: `gpointer`

  User data passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.